Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.authentication
Interface DefaultAuthenticatorMBean

All Superinterfaces:
  AuthenticationProviderMBean, AuthenticatorMBean, weblogic.descriptor.DescriptorBean, ExportMBean, GroupEditorMBean, GroupMemberListerMBean, weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean, GroupReaderMBean, GroupRemoverMBean, ImportMBean, ListerMBean, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, MemberGroupListerMBean, NameListerMBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface, UserEditorMBean, UserPasswordEditorMBean, UserReaderMBean, UserRemoverMBean

public interface DefaultAuthenticatorMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, UserEditorMBean, GroupEditorMBean, GroupMemberListerMBean, MemberGroupListerMBean, ImportMBean, ExportMBean, weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean

The MBean that represents configuration attributes for the WebLogic Authentication provider. The WebLogic Authentication provider has methods to edit, list, and manage users, groups, and group membership. User and group information is stored in an embedded LDAP server. Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDescription()` A short description of the Authentication provider.
`String` | `getGroupMembershipSearching()` Specifies whether recursive group membership searching is unlimited or limited.
`Integer` | `getMaxGroupMembershipSearchLevel()` Specifies how many levels of group membership can be searched.
`int` | `getMinimumPasswordLength()` The minimum number of characters required in a password.
`String` | `getProviderClassName()` The name of the Java class used to load the Authentication provider.
`String[]` | `getSupportedExportConstraints()` The users and groups that you want to be exported from this Authentication provider's database.
`String[]` | `getSupportedExportFormats()` The format of the file to export.
`String[]` | `getSupportedImportConstraints()` The users and groups that you want to be imported into this Authentication provider's database.
`String[]` | `getSupportedImportFormats()` The format of the file to import.
`Boolean` | `getUseRetrievedUserNameAsPrincipal()` Specifies whether to use the user name retrieved from LDAP as the Principal in the Subject.
`String` | `getVersion()` The version number of the Authentication provider.
`void` | `setGroupMembershipSearching(String newValue)` Specifies whether recursive group membership searching is unlimited or limited.
`void` | `setMaxGroupMembershipSearchLevel(Integer newValue)` Specifies how many levels of group membership can be searched.
`void` | `setMinimumPasswordLength(int newValue)` The minimum number of characters required in a password.
`void` | `setUseRetrievedUserNameAsPrincipal(Boolean newValue)` Specifies whether to use the user name retrieved from LDAP as the Principal in the Subject.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.security.providers.authentication.LoginExceptionPropagatorMBean
`getPropagateCauseForLoginException, setPropagateCauseForLoginException`

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Methods inherited from interface weblogic.management.security.authentication.UserEditorMBean
`createUser, setUserDescription`

Methods inherited from interface weblogic.management.security.authentication.UserReaderMBean
`getUserDescription, listUsers, userExists`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.security.authentication.UserPasswordEditorMBean
`changeUserPassword, resetUserPassword`

Methods inherited from interface weblogic.management.security.authentication.UserRemoverMBean
`removeUser`

Methods inherited from interface weblogic.management.security.authentication.GroupEditorMBean
`addMemberToGroup, createGroup, removeMemberFromGroup, setGroupDescription`

Methods inherited from interface weblogic.management.security.authentication.GroupReaderMBean
`getGroupDescription, groupExists, isMember, listGroups`

Methods inherited from interface weblogic.management.security.authentication.GroupRemoverMBean
`removeGroup`

Methods inherited from interface weblogic.management.security.authentication.GroupMemberListerMBean
`listGroupMembers`

Methods inherited from interface weblogic.management.security.authentication.MemberGroupListerMBean
`listMemberGroups`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Methods inherited from interface weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean
`getEnableGroupMembershipLookupHierarchyCaching, getGroupHierarchyCacheTTL, getMaxGroupHierarchiesInCache, setEnableGroupMembershipLookupHierarchyCaching, setGroupHierarchyCacheTTL, setMaxGroupHierarchiesInCache`

Method Detail

### getDescription

    public String getDescription()

  A short description of the Authentication provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic Authentication Provider"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getGroupMembershipSearching

    public String getGroupMembershipSearching()

  Specifies whether recursive group membership searching is unlimited or limited. Valid values are unlimited and limited.

  Default value:
    "unlimited"
  Legal values:
    "unlimited","limited"
  A dynamic MBean attribute.
    false

### getMaxGroupMembershipSearchLevel

    public Integer getMaxGroupMembershipSearchLevel()

  Specifies how many levels of group membership can be searched. This setting is valid only if GroupMembershipSearching is set to limited. Valid values are 0, and positive numbers. For example, 0 indicates only direct group memberships will be found, a positive number indicates the number of levels to go down.

  Default value:
    new Integer(0)
  A dynamic MBean attribute.
    false

### getMinimumPasswordLength

    public int getMinimumPasswordLength()

  The minimum number of characters required in a password.

  Default value:
    8
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### getProviderClassName

    public String getProviderClassName()

  The name of the Java class used to load the Authentication provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.authentication.DefaultAuthenticationProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getSupportedExportConstraints

    public String[] getSupportedExportConstraints()

  The users and groups that you want to be exported from this Authentication provider's database. If none are specified, all are exported. If EnablePasswordDigestInformation is set to true, then 2- way encrypted passwords can be exported via the passwords=cleartext constraint.

  Specified by:
    `getSupportedExportConstraints` in interface `ExportMBean`
  Default value:
    "users","groups","passwords"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedExportFormats

    public String[] getSupportedExportFormats()

  The format of the file to export. The list of supported export formats is determined by this Authentication provider.

  Specified by:
    `getSupportedExportFormats` in interface `ExportMBean`
  Default value:
    "DefaultAtn"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedImportConstraints

    public String[] getSupportedImportConstraints()

  The users and groups that you want to be imported into this Authentication provider's database. If no constraints are specified, all are imported.

  Specified by:
    `getSupportedImportConstraints` in interface `ImportMBean`
  Default value:
    ""
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedImportFormats

    public String[] getSupportedImportFormats()

  The format of the file to import. The list of supported import formats is determined by the Authentication provider from which the users and groups were originally exported.

  Specified by:
    `getSupportedImportFormats` in interface `ImportMBean`
  Default value:
    "DefaultAtn"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getUseRetrievedUserNameAsPrincipal

    public Boolean getUseRetrievedUserNameAsPrincipal()

  Specifies whether to use the user name retrieved from LDAP as the Principal in the Subject.

  Default value:
    new Boolean(false)
  A dynamic MBean attribute.
    false

### getVersion

    public String getVersion()

  The version number of the Authentication provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### setGroupMembershipSearching

    public void setGroupMembershipSearching(String newValue)
                                     throws InvalidAttributeValueException

  Specifies whether recursive group membership searching is unlimited or limited. Valid values are unlimited and limited.

  Parameters:
    `newValue` - - new value for attribute GroupMembershipSearching
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "unlimited"
  Legal values:
    "unlimited","limited"
  A dynamic MBean attribute.
    false

### setMaxGroupMembershipSearchLevel

    public void setMaxGroupMembershipSearchLevel(Integer newValue)
                                          throws InvalidAttributeValueException

  Specifies how many levels of group membership can be searched. This setting is valid only if GroupMembershipSearching is set to limited. Valid values are 0, and positive numbers. For example, 0 indicates only direct group memberships will be found, a positive number indicates the number of levels to go down.

  Parameters:
    `newValue` - - new value for attribute MaxGroupMembershipSearchLevel
  Throws:
    `InvalidAttributeValueException`
  Default value:
    new Integer(0)
  A dynamic MBean attribute.
    false

### setMinimumPasswordLength

    public void setMinimumPasswordLength(int newValue)
                                  throws InvalidAttributeValueException

  The minimum number of characters required in a password.

  Parameters:
    `newValue` - - new value for attribute MinimumPasswordLength
  Throws:
    `InvalidAttributeValueException`
  Default value:
    8
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### setUseRetrievedUserNameAsPrincipal

    public void setUseRetrievedUserNameAsPrincipal(Boolean newValue)
                                            throws InvalidAttributeValueException

  Specifies whether to use the user name retrieved from LDAP as the Principal in the Subject.

  Parameters:
    `newValue` - - new value for attribute UseRetrievedUserNameAsPrincipal
  Throws:
    `InvalidAttributeValueException`
  Default value:
    new Boolean(false)
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD